## org.eclipse.emf.ecore.xmi.impl
Class XMLContentHandlerImpl.XMI.Describer

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl.Describer
          org.eclipse.emf.ecore.xmi.impl.XMLContentHandlerImpl.XMI.Describer

All Implemented Interfaces:
  IContentDescriber, ITextContentDescriber, IExecutableExtension

Enclosing class:
  XMLContentHandlerImpl.XMI

    public static class XMLContentHandlerImpl.XMI.Describer

extends ContentHandlerImpl.Describer

A describer that `creates` an `XMLContentHandlerImpl.XMI` instance.

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl.Describer
`CONTENT_TYPE_ID, contentHandler, EXTENSIONS`

Constructor Summary
`XMLContentHandlerImpl.XMI.Describer()`

Method Summary
`protected ContentHandler` `createContentHandler(java.util.Map<java.lang.String,java.lang.String> parameters)` Creates a `RootXMLContentHandlerImpl` instance.

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl.Describer
`describe, describe, getDescriptionValue, getParameters, getProperty, getSupportedOptions, setInitializationData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLContentHandlerImpl.XMI.Describer

    public XMLContentHandlerImpl.XMI.Describer()

Method Detail

### createContentHandler

    protected ContentHandler createContentHandler(java.util.Map<java.lang.String,java.lang.String> parameters)

  Creates a `RootXMLContentHandlerImpl` instance.

  Overrides:
    `createContentHandler` in class `ContentHandlerImpl.Describer`
  Parameters:
    `parameters` - the parameter for configuring the content handler.
  Returns:
    the next content handler.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.